TelepathyQt4: Tp::DBusProxy Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::DBusProxy Class Reference

`#include <TelepathyQt4/DBusProxy>`

Inherited by Tp::StatefulDBusProxy, and Tp::StatelessDBusProxy.

List of all members.

## Signals

- void invalidated (Tp::DBusProxy *proxy, const QString &errorName, const QString &errorMessage)

## Public Member Functions

- DBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, QObject *parent=0)
- virtual ~DBusProxy ()
- QDBusConnection dbusConnection () const
- QString busName () const
- QString objectPath () const
- bool isValid () const
- QString invalidationReason () const
- QString invalidationMessage () const

## Protected Member Functions

- void setBusName (const QString &busName)
- void invalidate (const QString &reason, const QString &message)
- void invalidate (const QDBusError &error)

## Detailed Description

: ?

Base class representing a remote object available over D-Bus.

All TelepathyQt4 client convenience classes that wrap Telepathy interfaces inherit from this class in order to provide basic D-Bus interface information.

## Constructor & Destructor Documentation

Tp::DBusProxy::DBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | path,
|  | QObject * | parent = `0` |
| ) |  |  |

Constructor

Tp::DBusProxy::~DBusProxy | ( |  | ) | `[virtual]`

Destructor

## Member Function Documentation

QDBusConnection Tp::DBusProxy::dbusConnection | ( |  | ) | const

Returns the D-Bus connection through which the remote object is accessed.

Returns:
  The connection the object is associated with.

QString Tp::DBusProxy::busName | ( |  | ) | const

Returns the D-Bus bus name (either a unique name or a well-known name) of the service that provides the remote object.

Returns:
  The service name the object is associated with.

QString Tp::DBusProxy::objectPath | ( |  | ) | const

Returns the D-Bus object path of the remote object within the service.

Returns:
  The object path the object is associated with.

bool Tp::DBusProxy::isValid | ( |  | ) | const

If this object is usable (has not emitted invalidated()), returns `true`. Otherwise returns `false`.

Returns:
  `true` if this object is still fully usable

QString Tp::DBusProxy::invalidationReason | ( |  | ) | const

If this object is no longer usable (has emitted invalidated()), returns the error name indicating the reason it became invalid in a machine-readable way. Otherwise, returns a null QString.

Returns:
  A D-Bus error name, or QString() if this object is still valid

QString Tp::DBusProxy::invalidationMessage | ( |  | ) | const

If this object is no longer usable (has emitted invalidated()), returns a debugging message indicating the reason it became invalid. Otherwise, returns a null QString.

Returns:
  A debugging message, or QString() if this object is still valid

void Tp::DBusProxy::invalidated | ( | Tp::DBusProxy * | proxy,
|  | const QString & | errorName,
|  | const QString & | errorMessage |
| ) |  |  | `[signal]`

Emitted when this object is no longer usable.

After this signal is emitted, any D-Bus method calls on the object will fail, but it may be possible to retrieve information that has already been retrieved and cached.

Parameters:

  | proxy | This proxy
  | errorName | A D-Bus error name (a string in a subset of ASCII, prefixed with a reversed domain name)
  | errorMessage | A debugging message associated with the error

void Tp::DBusProxy::setBusName | ( | const QString & | busName | ) | `[protected]`

Sets the D-Bus bus name. This is used by subclasses after converting well-known names to unique names.

void Tp::DBusProxy::invalidate | ( | const QString & | reason,
|  | const QString & | message |
| ) |  |  | `[protected]`

Called by subclasses when the DBusProxy should become invalid.

This method takes care of setting the invalidationReason, invalidationMessage, and emitting the invalidated signal.

Parameters:

  | reason | A D-Bus error name (a string in a subset of ASCII, prefixed with a reversed domain name)
  | message | A debugging message associated with the error

void Tp::DBusProxy::invalidate | ( | const QDBusError & | error | ) | `[protected]`